#include "I2CLiquidCrystal.h"

#define I2CADDR_LCD		(0x3E)	// AQM1602XAのI2Cアドレスは0x3E

I2CLiquidCrystal g_i2clcd(I2CADDR_LCD, 4, 5);	// i2c_addr, sda, scl

void setup()
{
	g_i2clcd.begin();

	g_i2clcd.clear();	// LCD画面消去
	g_i2clcd.setCursor( 0, 0 );
	g_i2clcd.print( "Hello World!" );
}

int g_iCounter = 0;	// カウンター
void loop()
{
	g_i2clcd.setCursor( 0, 1 );
	g_i2clcd.print(g_iCounter);
	g_iCounter++;

	delay( 1000 );
}
